%{?!_licensedir:%global license %%doc}

Name:		openstack-ironic-discoverd
Summary:	Hardware introspection service for OpenStack Ironic
Version:	1.1.0
Release:	8%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://pypi.python.org/pypi/ironic-discoverd

Source0:	https://pypi.python.org/packages/source/i/ironic-discoverd/ironic-discoverd-%{version}.tar.gz
Source1:	openstack-ironic-discoverd.service
Source2:	openstack-ironic-discoverd-dnsmasq.service
Source3:	dnsmasq.conf

#patches_base=+1
Patch0001: 0001-Initial-import-of-ironic_discoverd_ramdisk.patch
Patch0002: 0002-Support-setting-IPMI-credentials-in-ironic_discoverd.patch
Patch0003: 0003-Include-journalctl-output-when-sending-logs.patch
Patch0004: 0004-Do-not-require-local_gb-by-ramdisk.patch
Patch0005: 0005-Fake-missing-local_gb-for-root_device_hint-plugin.patch
Patch0006: 0006-Fix-edeploy-plugin-puts-too-much-data-in-Ironic-extr.patch
Patch0007: 0007-Use-internal-endpoints-for-ironic-and-swift.patch
Patch0008: 0008-Fix-disk-ordering-in-discovery.patch
Patch0009: 0009-dmidecode-may-return-GB-not-only-MB.patch
Patch0010: 0010-Never-use-Flask-debug-mode.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	systemd
Requires: python-ironic-discoverd = %{version}-%{release}
Requires: dnsmasq
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%prep
%setup -q -n ironic-discoverd-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1

rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
mkdir -p %{buildroot}%{_mandir}/man8
install -p -D -m 644 ironic-discoverd.8 %{buildroot}%{_mandir}/man8/

# install systemd scripts
mkdir -p %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

# configuration contains passwords, thus 640
install -p -D -m 640 example.conf %{buildroot}/%{_sysconfdir}/ironic-discoverd/discoverd.conf
install -p -D -m 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/ironic-discoverd/dnsmasq.conf


%package -n python-ironic-discoverd
Summary: Hardware introspection service for OpenStack Ironic - Python modules
Requires: python-babel
Requires: python-cliff
Requires: python-eventlet
Requires: python-flask
Requires: python-hardware
Requires: python-ironicclient
Requires: python-keystoneclient
Requires: python-keystonemiddleware
Requires: python-oslo-config
Requires: python-oslo-i18n
Requires: python-oslo-utils
Requires: python-openstackclient
Requires: python-requests
Requires: python-setuptools
Requires: python-six
Requires: python-stevedore
Conflicts: openstack-ironic-discoverd < 1.0.0-1

%description -n python-ironic-discoverd
ironic-discoverd is a service for discovering hardware properties for a node
managed by OpenStack Ironic. Hardware introspection or hardware properties
discovery is a process of getting hardware parameters required for scheduling
from a bare metal node, given it's power management credentials (e.g. IPMI
address, user name and password).

This package contains Python modules and documentation.

%files -n python-ironic-discoverd
%doc README.rst CONTRIBUTING.rst
%license LICENSE
%{python_sitelib}/ironic_discoverd*
%exclude %{python_sitelib}/ironic_discoverd_ramdisk*

%package -n openstack-ironic-discoverd-ramdisk
Summary: Hardware introspection service for OpenStack Ironic - ramdisk script
Requires: python-hardware
Requires: python-netifaces
Requires: python-requests

%description -n openstack-ironic-discoverd-ramdisk
ironic-discoverd is a service for discovering hardware properties for a node
managed by OpenStack Ironic. Hardware introspection or hardware properties
discovery is a process of getting hardware parameters required for scheduling
from a bare metal node, given it's power management credentials (e.g. IPMI
address, user name and password).

This package contains ramdisk implementation in Python.

%files -n openstack-ironic-discoverd-ramdisk
%license LICENSE
%{python_sitelib}/ironic_discoverd_ramdisk*
%{_bindir}/ironic-discoverd-ramdisk


%description
ironic-discoverd is a service for discovering hardware properties for a node
managed by OpenStack Ironic. Hardware introspection or hardware properties
discovery is a process of getting hardware parameters required for scheduling
from a bare metal node, given it's power management credentials (e.g. IPMI
address, user name and password).

This package contains main executable and service files.

%files
%license LICENSE
%config(noreplace) %attr(-,root,root) %{_sysconfdir}/ironic-discoverd
%{_bindir}/ironic-discoverd
%{_unitdir}/openstack-ironic-discoverd.service
%{_unitdir}/openstack-ironic-discoverd-dnsmasq.service
%doc %{_mandir}/man8/ironic-discoverd.8.gz

%post
%systemd_post openstack-ironic-discoverd.service
%systemd_post openstack-ironic-discoverd-dnsmasq.service

%preun
%systemd_preun openstack-ironic-discoverd.service
%systemd_preun openstack-ironic-discoverd-dnsmasq.service

%postun
%systemd_postun_with_restart openstack-ironic-discoverd.service
%systemd_postun_with_restart openstack-ironic-discoverd-dnsmasq.service


%changelog
* Wed Oct 21 2015 Mike Burns <mburns@redhat.com> 1.1.0-8
- Never use Flask debug mode rhbz#1272931

* Mon Oct 19 2015 Mike Burns <mburns@redhat.com> 1.1.0-7
- dmidecode may return GB, not only MB rhbz#1256421

* Mon Aug 31 2015 Mike Burns <mburns@redhat.com> 1.1.0-6
- Fix disk ordering in discovery rhbz#1252437

* Mon Jul 06 2015 James Slagle <jslagle@redhat.com> 1.1.0-5
- Use internal endpoints for ironic and swift

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 1.1.0-4
- Fix edeploy plugin puts too much data in Ironic extra column
- Fake missing local_gb for root_device_hint plugin

* Tue Jun 02 2015 Mike Burns <mburns@redhat.com> 1.1.0-3
- Fake missing local_gb for root_device_hint plugin
- Do not require local_gb by ramdisk
- Include journalctl output when sending logs
- Support setting IPMI credentials in ironic_discoverd_ramdisk
- Initial import of ironic_discoverd_ramdisk

* Tue Jun 02 2015 Mike Burns <mburns@redhat.com> 1.1.0-2
- Fake missing local_gb for root_device_hint plugin
- Do not require local_gb by ramdisk

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 1.1.0-1
- Update to upstream 1.1.0

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 1.0.0-3
- Fix leftover of edeploy options removal
- Remove profile matching from eDeploy plugin
- Include journalctl output when sending logs
- Support setting IPMI credentials in ironic_discoverd_ramdisk
- Initial import of ironic_discoverd_ramdisk
- Define API_VERSIONS in shell.py
- Merge "Doublecheck node provision state on receiving data from ramdisk"
- Merge "Delay failure from pre-processing hooks"
- Merge "Check hooks availability on start-up"
- README: More updates for Troubleshooting section
- Merge "Pre-release documentation update"
- Check hooks availability on start-up
- Doublecheck node provision state on receiving data from ramdisk
- Delay failure from pre-processing hooks
- Merge "Add unit tests for main.py"
- Add unit tests for main.py
- Pre-release documentation update
- Add an option to always store ramdisk logs
- Merge "Document ipmi_address in HTTP API"
- Merge "Implement basic checks in functest/devstack-test.sh"
- Merge "Add ability to save logs received from the ramdisk"
- Merge "Enable ramdisk_error plugin by default"
- Add ability to save logs received from the ramdisk
- Document ipmi_address in HTTP API
- Merge "Use my_ip as default URL instead of localhost"
- Implement basic checks in functest/devstack-test.sh
- Use my_ip as default URL instead of localhost
- Enable ramdisk_error plugin by default
- Merge "First take on integration test for using on devstack"
- Merge "Add DevStack plugin for ironic-discoverd"
- Merge "Proper errors handling for client"
- Merge "Add unit tests for firewall.py"
- First take on integration test for using on devstack
- Add unit tests for firewall.py
- Add DevStack plugin for ironic-discoverd
- Proper errors handling for client
- Clean up firewall rules on exit
- Merge "Add option to delete ports after introspection"
- Merge "Add INSPECTFAIL as a valid state to start introspection"
- Invalidate cached node information after hooks run
- Add option to delete ports after introspection
- Add INSPECTFAIL as a valid state to start introspection
- Update from global requirements
- Switch to oslo.config
- More generic option for tuning adding ports
- Merge "Documentation update"
- Fix typos in ironic-discoverd
- Documentation update
- Merge "eDeploy: Store all of the facts collected by edeploy in Ironic DB"
- eDeploy: Store all of the facts collected by edeploy in Ironic DB
- Stop waiting for power off to happen after introspection
- eDeploy plugin to save BIOS and RAID configuration to node.extra
- Enable overwrite_existing by default
- CLI: give user a hint to power on the node when setting IPMI creds
- Add python-openstackclient plugin for ironic-discoverd
- None is a valid default value for base_url and auth_token in the client
- Merge "Add scripts to manage translations"
- Add scripts to manage translations
- Consider dropping check on power state
- Switch to Python 3.4 as default Python 3 env
- Properly implement authentication via keystonemiddleware
- Merge "Verify input uuid"
- Verify input uuid
- Merge "eDeploy plugin to not overwrite node's capabilities"
- eDeploy plugin to not overwrite node's capabilities
- Change utils.get_ipmi_address(node) to always return IPv4 address
- Merge "setup.py to work without requirements.txt"
- setup.py to work without requirements.txt
- Merge "Change i18n domain to match what is generated in oslo-incubator sync"
- Merge "Always use non-localized strings in unit tests"
- Merge "Use less verbose imports for i18n"
- Merge "Update functest to new ramdisk code"
- Change i18n domain to match what is generated in oslo-incubator sync
- Always use non-localized strings in unit tests
- Use less verbose imports for i18n
- Merge "Support i18n part2"
- Support i18n part2
- Support i18n part3
- Merge "Fix i18n import"
- Merge "Also set IPMI address if it's not set already"
- Fix i18n import
- Merge "Don't wait for too long for IPMI credentials update"
- Merge "Functional test for setting IPMI credentials"
- Merge "Support i18n"
- Support i18n
- Getting ready for inclusion into projects.yaml
- Update functest to new ramdisk code
- Also set IPMI address if it's not set already
- Don't wait for too long for IPMI credentials update
- Functional test for setting IPMI credentials
- Require maintenance mode for setting IPMI credentials
- Download jq utility when running functest
- Make root_device_hint plugin not to fail if no block device was received
- Documentation and strings update
- Merge "Adding root_device_hint plugin"
- Adding root_device_hint plugin
- Client and doc update for setting IPMI credentials
- Revamp support for setting IPMI credentials
- Make sure we always notify user about an introspect call error
- Functional test for boot interface detection
- Merge "Fix detection of PXELINUX-provided boot interface"
- Fix get_kernel_parameter fixture
- Fix detection of PXELINUX-provided boot interface
- Merge "Allow ramdisk to specify PXE boot interface"
- Merge "Get rid of thread=False monkey-patching hack"
- Merge "Refactor ValidateInterfaces plugin"
- Get rid of thread=False monkey-patching hack
- Bump requirements to Kilo
- Allow ramdisk to specify PXE boot interface
- Refactor ValidateInterfaces plugin
- Add eDeploy plugin
- Start 1.1 development

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 1.0.0-2
- Fix leftover of edeploy options removal
- Remove profile matching from eDeploy plugin
- Include journalctl output when sending logs
- Support setting IPMI credentials in ironic_discoverd_ramdisk
- Initial import of ironic_discoverd_ramdisk
- Define API_VERSIONS in shell.py
- Merge "Doublecheck node provision state on receiving data from ramdisk"
- Merge "Delay failure from pre-processing hooks"
- Merge "Check hooks availability on start-up"
- README: More updates for Troubleshooting section
- Merge "Pre-release documentation update"
- Check hooks availability on start-up
- Doublecheck node provision state on receiving data from ramdisk
- Delay failure from pre-processing hooks
- Merge "Add unit tests for main.py"
- Add unit tests for main.py
- Pre-release documentation update
- Add an option to always store ramdisk logs
- Merge "Document ipmi_address in HTTP API"
- Merge "Implement basic checks in functest/devstack-test.sh"
- Merge "Add ability to save logs received from the ramdisk"
- Merge "Enable ramdisk_error plugin by default"
- Add ability to save logs received from the ramdisk
- Document ipmi_address in HTTP API
- Merge "Use my_ip as default URL instead of localhost"
- Implement basic checks in functest/devstack-test.sh
- Use my_ip as default URL instead of localhost
- Enable ramdisk_error plugin by default
- Merge "First take on integration test for using on devstack"
- Merge "Add DevStack plugin for ironic-discoverd"
- Merge "Proper errors handling for client"
- Merge "Add unit tests for firewall.py"
- First take on integration test for using on devstack
- Add unit tests for firewall.py
- Add DevStack plugin for ironic-discoverd
- Proper errors handling for client
- Clean up firewall rules on exit
- Merge "Add option to delete ports after introspection"
- Merge "Add INSPECTFAIL as a valid state to start introspection"
- Invalidate cached node information after hooks run
- Add option to delete ports after introspection
- Add INSPECTFAIL as a valid state to start introspection
- Update from global requirements
- Switch to oslo.config
- More generic option for tuning adding ports
- Merge "Documentation update"
- Fix typos in ironic-discoverd
- Documentation update
- Merge "eDeploy: Store all of the facts collected by edeploy in Ironic DB"
- eDeploy: Store all of the facts collected by edeploy in Ironic DB
- Stop waiting for power off to happen after introspection
- eDeploy plugin to save BIOS and RAID configuration to node.extra
- Enable overwrite_existing by default
- CLI: give user a hint to power on the node when setting IPMI creds
- Add python-openstackclient plugin for ironic-discoverd
- None is a valid default value for base_url and auth_token in the client
- Merge "Add scripts to manage translations"
- Add scripts to manage translations
- Consider dropping check on power state
- Switch to Python 3.4 as default Python 3 env
- Properly implement authentication via keystonemiddleware
- Merge "Verify input uuid"
- Verify input uuid
- Merge "eDeploy plugin to not overwrite node's capabilities"
- eDeploy plugin to not overwrite node's capabilities
- Change utils.get_ipmi_address(node) to always return IPv4 address
- Merge "setup.py to work without requirements.txt"
- setup.py to work without requirements.txt
- Merge "Change i18n domain to match what is generated in oslo-incubator sync"
- Merge "Always use non-localized strings in unit tests"
- Merge "Use less verbose imports for i18n"
- Merge "Update functest to new ramdisk code"
- Change i18n domain to match what is generated in oslo-incubator sync
- Always use non-localized strings in unit tests
- Use less verbose imports for i18n
- Merge "Support i18n part2"
- Support i18n part2
- Support i18n part3
- Merge "Fix i18n import"
- Merge "Also set IPMI address if it's not set already"
- Fix i18n import
- Merge "Don't wait for too long for IPMI credentials update"
- Merge "Functional test for setting IPMI credentials"
- Merge "Support i18n"
- Support i18n
- Getting ready for inclusion into projects.yaml
- Update functest to new ramdisk code
- Also set IPMI address if it's not set already
- Don't wait for too long for IPMI credentials update
- Functional test for setting IPMI credentials
- Require maintenance mode for setting IPMI credentials
- Download jq utility when running functest
- Make root_device_hint plugin not to fail if no block device was received
- Documentation and strings update
- Merge "Adding root_device_hint plugin"
- Adding root_device_hint plugin
- Client and doc update for setting IPMI credentials
- Revamp support for setting IPMI credentials
- Make sure we always notify user about an introspect call error
- Functional test for boot interface detection
- Merge "Fix detection of PXELINUX-provided boot interface"
- Fix get_kernel_parameter fixture
- Fix detection of PXELINUX-provided boot interface
- Merge "Allow ramdisk to specify PXE boot interface"
- Merge "Get rid of thread=False monkey-patching hack"
- Merge "Refactor ValidateInterfaces plugin"
- Get rid of thread=False monkey-patching hack
- Bump requirements to Kilo
- Allow ramdisk to specify PXE boot interface
- Refactor ValidateInterfaces plugin
- Add eDeploy plugin
- Start 1.1 development

* Wed May 06 2015 Mike Burns <mburns@redhat.com> 1.1.0-0.6.20150219..git
- Fix leftover of edeploy options removal
- Remove profile matching from eDeploy plugin
- Include journalctl output when sending logs
- Support setting IPMI credentials in ironic_discoverd_ramdisk
- Initial import of ironic_discoverd_ramdisk
- Define API_VERSIONS in shell.py
- Merge "Doublecheck node provision state on receiving data from ramdisk"
- Merge "Delay failure from pre-processing hooks"
- Merge "Check hooks availability on start-up"
- README: More updates for Troubleshooting section
- Merge "Pre-release documentation update"
- Check hooks availability on start-up
- Doublecheck node provision state on receiving data from ramdisk
- Delay failure from pre-processing hooks
- Merge "Add unit tests for main.py"
- Add unit tests for main.py
- Pre-release documentation update
- Add an option to always store ramdisk logs
- Merge "Document ipmi_address in HTTP API"
- Merge "Implement basic checks in functest/devstack-test.sh"
- Merge "Add ability to save logs received from the ramdisk"
- Merge "Enable ramdisk_error plugin by default"
- Add ability to save logs received from the ramdisk
- Document ipmi_address in HTTP API
- Merge "Use my_ip as default URL instead of localhost"
- Implement basic checks in functest/devstack-test.sh
- Use my_ip as default URL instead of localhost
- Enable ramdisk_error plugin by default
- Merge "First take on integration test for using on devstack"
- Merge "Add DevStack plugin for ironic-discoverd"
- Merge "Proper errors handling for client"
- Merge "Add unit tests for firewall.py"
- First take on integration test for using on devstack
- Add unit tests for firewall.py
- Add DevStack plugin for ironic-discoverd
- Proper errors handling for client
- Clean up firewall rules on exit
- Merge "Add option to delete ports after introspection"
- Merge "Add INSPECTFAIL as a valid state to start introspection"
- Invalidate cached node information after hooks run
- Add option to delete ports after introspection
- Add INSPECTFAIL as a valid state to start introspection
- Update from global requirements
- Switch to oslo.config
- More generic option for tuning adding ports
- Merge "Documentation update"
- Fix typos in ironic-discoverd
- Documentation update
- Merge "eDeploy: Store all of the facts collected by edeploy in Ironic DB"
- eDeploy: Store all of the facts collected by edeploy in Ironic DB
- Stop waiting for power off to happen after introspection
- eDeploy plugin to save BIOS and RAID configuration to node.extra
- Enable overwrite_existing by default
- CLI: give user a hint to power on the node when setting IPMI creds
- Add python-openstackclient plugin for ironic-discoverd
- None is a valid default value for base_url and auth_token in the client
- Merge "Add scripts to manage translations"
- Add scripts to manage translations
- Consider dropping check on power state
- Switch to Python 3.4 as default Python 3 env
- Properly implement authentication via keystonemiddleware
- Merge "Verify input uuid"
- Verify input uuid
- Merge "eDeploy plugin to not overwrite node's capabilities"
- eDeploy plugin to not overwrite node's capabilities
- Change utils.get_ipmi_address(node) to always return IPv4 address
- Merge "setup.py to work without requirements.txt"
- setup.py to work without requirements.txt
- Merge "Change i18n domain to match what is generated in oslo-incubator sync"
- Merge "Always use non-localized strings in unit tests"
- Merge "Use less verbose imports for i18n"
- Merge "Update functest to new ramdisk code"
- Change i18n domain to match what is generated in oslo-incubator sync
- Always use non-localized strings in unit tests
- Use less verbose imports for i18n
- Merge "Support i18n part2"
- Support i18n part2
- Support i18n part3
- Merge "Fix i18n import"
- Merge "Also set IPMI address if it's not set already"
- Fix i18n import
- Merge "Don't wait for too long for IPMI credentials update"
- Merge "Functional test for setting IPMI credentials"
- Merge "Support i18n"
- Support i18n
- Getting ready for inclusion into projects.yaml
- Update functest to new ramdisk code
- Also set IPMI address if it's not set already
- Don't wait for too long for IPMI credentials update
- Functional test for setting IPMI credentials
- Require maintenance mode for setting IPMI credentials
- Download jq utility when running functest
- Make root_device_hint plugin not to fail if no block device was received
- Documentation and strings update
- Merge "Adding root_device_hint plugin"
- Adding root_device_hint plugin
- Client and doc update for setting IPMI credentials
- Revamp support for setting IPMI credentials
- Make sure we always notify user about an introspect call error
- Functional test for boot interface detection
- Merge "Fix detection of PXELINUX-provided boot interface"
- Fix get_kernel_parameter fixture
- Fix detection of PXELINUX-provided boot interface
- Merge "Allow ramdisk to specify PXE boot interface"
- Merge "Get rid of thread=False monkey-patching hack"
- Merge "Refactor ValidateInterfaces plugin"
- Get rid of thread=False monkey-patching hack
- Bump requirements to Kilo
- Allow ramdisk to specify PXE boot interface
- Refactor ValidateInterfaces plugin
- Add eDeploy plugin

* Wed May 06 2015 Mike Burns <mburns@redhat.com> 1.1.0-0.6.20150218.git
- Fix leftover of edeploy options removal
- Remove profile matching from eDeploy plugin
- Include journalctl output when sending logs
- Support setting IPMI credentials in ironic_discoverd_ramdisk
- Initial import of ironic_discoverd_ramdisk
- Define API_VERSIONS in shell.py
- Merge "Doublecheck node provision state on receiving data from ramdisk"
- Merge "Delay failure from pre-processing hooks"
- Merge "Check hooks availability on start-up"
- README: More updates for Troubleshooting section
- Merge "Pre-release documentation update"
- Check hooks availability on start-up
- Doublecheck node provision state on receiving data from ramdisk
- Delay failure from pre-processing hooks
- Merge "Add unit tests for main.py"
- Add unit tests for main.py
- Pre-release documentation update
- Add an option to always store ramdisk logs
- Merge "Document ipmi_address in HTTP API"
- Merge "Implement basic checks in functest/devstack-test.sh"
- Merge "Add ability to save logs received from the ramdisk"
- Merge "Enable ramdisk_error plugin by default"
- Add ability to save logs received from the ramdisk
- Document ipmi_address in HTTP API
- Merge "Use my_ip as default URL instead of localhost"
- Implement basic checks in functest/devstack-test.sh
- Use my_ip as default URL instead of localhost
- Enable ramdisk_error plugin by default
- Merge "First take on integration test for using on devstack"
- Merge "Add DevStack plugin for ironic-discoverd"
- Merge "Proper errors handling for client"
- Merge "Add unit tests for firewall.py"
- First take on integration test for using on devstack
- Add unit tests for firewall.py
- Add DevStack plugin for ironic-discoverd
- Proper errors handling for client
- Clean up firewall rules on exit
- Merge "Add option to delete ports after introspection"
- Merge "Add INSPECTFAIL as a valid state to start introspection"
- Invalidate cached node information after hooks run
- Add option to delete ports after introspection
- Add INSPECTFAIL as a valid state to start introspection
- Update from global requirements
- Switch to oslo.config
- More generic option for tuning adding ports
- Merge "Documentation update"
- Fix typos in ironic-discoverd
- Documentation update
- Merge "eDeploy: Store all of the facts collected by edeploy in Ironic DB"
- eDeploy: Store all of the facts collected by edeploy in Ironic DB
- Stop waiting for power off to happen after introspection
- eDeploy plugin to save BIOS and RAID configuration to node.extra
- Enable overwrite_existing by default
- CLI: give user a hint to power on the node when setting IPMI creds
- Add python-openstackclient plugin for ironic-discoverd
- None is a valid default value for base_url and auth_token in the client
- Merge "Add scripts to manage translations"
- Add scripts to manage translations
- Consider dropping check on power state
- Switch to Python 3.4 as default Python 3 env
- Properly implement authentication via keystonemiddleware
- Merge "Verify input uuid"
- Verify input uuid
- Merge "eDeploy plugin to not overwrite node's capabilities"
- eDeploy plugin to not overwrite node's capabilities
- Change utils.get_ipmi_address(node) to always return IPv4 address
- Merge "setup.py to work without requirements.txt"
- setup.py to work without requirements.txt
- Merge "Change i18n domain to match what is generated in oslo-incubator sync"
- Merge "Always use non-localized strings in unit tests"
- Merge "Use less verbose imports for i18n"
- Merge "Update functest to new ramdisk code"
- Change i18n domain to match what is generated in oslo-incubator sync
- Always use non-localized strings in unit tests
- Use less verbose imports for i18n
- Merge "Support i18n part2"
- Support i18n part2
- Support i18n part3
- Merge "Fix i18n import"
- Merge "Also set IPMI address if it's not set already"
- Fix i18n import
- Merge "Don't wait for too long for IPMI credentials update"
- Merge "Functional test for setting IPMI credentials"
- Merge "Support i18n"
- Support i18n
- Getting ready for inclusion into projects.yaml
- Update functest to new ramdisk code
- Also set IPMI address if it's not set already
- Don't wait for too long for IPMI credentials update
- Functional test for setting IPMI credentials
- Require maintenance mode for setting IPMI credentials
- Download jq utility when running functest
- Make root_device_hint plugin not to fail if no block device was received
- Documentation and strings update
- Merge "Adding root_device_hint plugin"
- Adding root_device_hint plugin
- Client and doc update for setting IPMI credentials
- Revamp support for setting IPMI credentials
- Make sure we always notify user about an introspect call error
- Functional test for boot interface detection
- Merge "Fix detection of PXELINUX-provided boot interface"
- Fix get_kernel_parameter fixture
- Fix detection of PXELINUX-provided boot interface
- Merge "Allow ramdisk to specify PXE boot interface"
- Merge "Get rid of thread=False monkey-patching hack"
- Merge "Refactor ValidateInterfaces plugin"
- Get rid of thread=False monkey-patching hack
- Bump requirements to Kilo
- Allow ramdisk to specify PXE boot interface
- Refactor ValidateInterfaces plugin
- Add eDeploy plugin


* Tue Feb 3 2015 Dmitry Tantsur <dtantsur@redhat.com> - 1.0.0-1
- New upstream release: 1.0.0
- Set default database location to simplify upgrades
- Split into two packages: the service and Python modules

* Thu Dec 4 2014 Dmitry Tantsur <dtantsur@redhat.com> - 0.2.5-1
- Upstream bugfix release 0.2.5
- Install CONTRIBUTING.rst

* Fri Nov 14 2014 Dmitry Tantsur <dtantsur@redhat.com> - 0.2.4-1
- Upstream bugfix release 0.2.4
  Only cosmetic code update, reflects move to StackForge and Launchpad.
- Take description from upstream README.

* Mon Oct 27 2014 Dmitry Tantsur <dtantsur@redhat.com> - 0.2.2-1
- Upstream bugfix release 0.2.2
- Sync all descriptions with upstream variant

* Thu Oct 23 2014 Dmitry Tantsur <dtantsur@redhat.com> - 0.2.1-2
- Require dnsmasq
- Add openstack-ironic-discoverd-dnsmasq.service - sample service for dnsmasq
- Updated description to upstream version

* Thu Oct 16 2014 Dmitry Tantsur <dtantsur@redhat.com> - 0.2.1-1
- Upstream bugfix release

* Wed Oct 8 2014 Dmitry Tantsur <dtantsur@redhat.com> - 0.2.0-1
- Initial package build

